import jingrow


def execute():
	jingrow.reload_pagetype("Jcloud Settings")
	settings = jingrow.get_single("Jcloud Settings")
	try:
		settings.get_password("jcloud_monitoring_password")
	except jingrow.AuthenticationError:
		settings.jcloud_monitoring_password = jingrow.generate_hash()
		settings.save()
